<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use App\Models\article;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Cookie;
use Illuminate\Support\Facades\Session;

class ArticleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $article = DB::select('select * from articles' );
        return response()->json($article, 201);

      
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
    
        $article = [
            'title' => $request->titre,
            'description' => $request->description,
            'text' => $request->text,
            'IDuser' => $request->IDuser,
            
        ];
        $art = article::create($article);
        return response()->json($art, 201);
        //return $request;
    

    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\User  $use
     * @return \Illuminate\Http\Response
     */
    public function show($article)
    {
        //
        // return article::find($user);
        $arc = DB::select('select * from articles WHERE IDuser = :IDuser',['IDuser' => $article] );
        return response()->json($arc, 201);

    }

    public function get_article(Request $request, $id)
    {
        //
        // return article::find($user);
        try {
        $arc = DB::select('select * from articles WHERE id = :id',['id' => $id] );
        return response()->json($arc, 201);
        } catch(e) {

        }

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $artic)
    {
        //
        $ar = article::find($artic);
        $ar->title = $request->title;
        $ar->description = $request->description;
        $ar->text = $request->text;

        $ar->save();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\User  $user
     * @return \Illuminate\Http\Response
     */
    public function destroy($article)
    {
        $artic = article::find($article);
        $result = $artic->delete() ;
        if ($result) return response($result, 200);

        //
        //$user->delete();

    }

    public function deleteall(User $user) {
        $user->delete();
    }






    

    
}
